// SPDX-FileCopyrightText: Red Hat, Inc.
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once
#include <float.h>

#include <glib/gi18n.h>
#include <gtk/gtk.h>
#include <gsk/gl/gskglrenderer.h>
#include <libmks.h>

G_BEGIN_DECLS

#define SNOWGLOBE_TYPE_WINDOW (snowglobe_window_get_type())

G_DECLARE_FINAL_TYPE (SnowglobeWindow, snowglobe_window, SNOWGLOBE, WINDOW, GtkApplicationWindow)

void snowglobe_window_set_display_view  (SnowglobeWindow *self,
                                         GDBusConnection *connection);
void snowglobe_window_set_status_view   (SnowglobeWindow *self,
                                         const gchar     *icon_name,
                                         const gchar     *head,
                                         const gchar     *body);
void snowglobe_window_set_loading_view  (SnowglobeWindow *self);
void snowglobe_window_set_decorated     (SnowglobeWindow *self,
                                         gboolean         decorated);
void snowglobe_window_set_emulate_touch (SnowglobeWindow *self,
                                         gboolean         emulate_touch);
void snowglobe_window_show_host_cursor  (SnowglobeWindow *self,
                                         gboolean         show_host_cursor);
void snowglobe_window_set_auto_resize   (SnowglobeWindow *self,
                                         gboolean         auto_resize);
G_END_DECLS
